<!--
Project: swinging
Copyright 2018 @swinging
-->
<div class="container full-heigth">
  <mat-toolbar>
    <div class="nav navbar">
      <button class="title" mat-button routerLink="home">{{ title }}</button>
      <button mat-button class="menu-bouton" routerLink="home" routerLinkActive="active">Acceuil</button>
      <button mat-button class="menu-bouton" *ngIf="user" routerLink="chat" routerLinkActive="active">Chat</button>
      <button mat-button class="menu-bouton float-right" *ngIf="!user" routerLink="login" routerLinkActive="active">Connexion</button>
      <button mat-button class="menu-bouton float-right" *ngIf="user" [matMenuTriggerFor]="userMenu">Bienvenue {{user.displayName}} !</button>
      <mat-menu #userMenu="matMenu">
        <button mat-menu-item routerLink="profile" routerLinkActive="active">Profil</button>
        <button mat-menu-item (click)="logout()">Deconnexion</button>
      </mat-menu>
    </div>
  </mat-toolbar>
  <div class="body-content">
    <router-outlet></router-outlet>
  </div>
</div>
